import { deviceFetch, statisticsFetch } from '../../api/fetch';

// miniprogram/pages/equipmentReport/equipmentReport.js
Page({
  /**
   * 页面的初始数据
   */
  data: {
    areaId: null,
    areaName: '',
    type: 0,
    timeType: 0,
    totalAmount: [],
    menuCode:false,
    menuCode1:false,
    menuCode2:false,
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function(options) {
    console.log(options);
    let app = getApp();
    console.log(app.globalData.userRoles);
    let roles1 = app.globalData.userRoles;
    let roles = [];
    this.handleArr(roles1,roles);
    let menuCode = roles.filter(item=>item.menuCode=="91060001").length>0;
    let menuCode1 = roles.filter(item=>item.menuCode=="91060002").length>0;
    let menuCode2 = roles.filter(item=>item.menuCode=="91060003").length>0;
    this.setData({
      menuCode,
      menuCode1,
      menuCode2,
      type:menuCode?0:(menuCode1?1:2)
    });
    const { areaId, areaName } = options;
    const eventChannel = this.getOpenerEventChannel();
    eventChannel.on('acceptDataFromOpenerPage', res => {
      console.log(res);
      this.setData!({
        totalAmount: res.data.totalAmount.map(item => ({
          ...item,
          type:
            item.key === '洗衣'
              ? 2
              : item.key === '饮水'
              ? 3
              : item.key === '吹风'
              ? 4
              : item.key === '洗浴'
              ? 5
              : item.key,
        })),
      });
    });
    this.setData!({
      areaId,
      areaName,
    });
    // this.fetchWarningLevel();
  },
  handleArr(param,arr){
    if(param.length){
      for(let i = 0;i<param.length;i++){
        arr.push(param[i]);
        if(param[i].childs&&param[i].childs.length>0){
          this.handleArr(param[i].childs,arr);
        }
      }
    }else{
      arr.push(param);
      if(param.childs&&param.childs.length>0){
        this.handleArr(param.childs,arr);
      }
    }
  },
  fetchWarningLevel() {
    deviceFetch({
      url: '/device/warning/dict/warningLevel',
    })
      .then(res => {
        console.log(res);
      })
      .catch(err => {
        console.log(err);
      });
  },
  changeType(e) {
    const { type } = e.currentTarget.dataset;
    console.log(type);
    if (type === this.data.type) return;
    this.setData!({
      type: type,
    });
    return false;
  },
  changeTimeType(e) {
    const { timeType } = e.currentTarget.dataset;
    console.log(timeType);
    if (timeType === this.data.timeType) return;
    this.setData!({
      timeType,
    });
    return false;
  },
  fetchData() {
    statisticsFetch({
      url: '/boss/device/operation/data/summary',
      method: 'POST',
      data: {
        areaId: this.data.areaId,
        timeType: this.data.timeType,
      },
    })
      .then(res => {
        console.log(res);
      })
      .catch(err => {
        console.log(err);
      });
  },
});
