"use strict";
var __spreadArray = (this && this.__spreadArray) || function (to, from, pack) {
    if (pack || arguments.length === 2) for (var i = 0, l = from.length, ar; i < l; i++) {
        if (ar || !(i in from)) {
            if (!ar) ar = Array.prototype.slice.call(from, 0, i);
            ar[i] = from[i];
        }
    }
    return to.concat(ar || Array.prototype.slice.call(from));
};
exports.__esModule = true;
var fetch_1 = require("../../api/fetch");
// miniprogram/pages/feedback/feedback.js
Page({
    onLoad: function () {
        this.initData();
        this.fetchAreaList();
    },
    /**
     * 页面的初始数据
     */
    data: {
        tabIndex: 1,
        areaId: '',
        list1: [],
        list2: [],
        areaList: [],
        list: [],
        pageNum: [null, 0, 0]
    },
    initData: function () {
        this.fetchList(1);
        this.fetchList(2);
    },
    onShow: function () {
        this.initData();
    },
    toggleList: function (e) {
        var _this = this;
        var tabindex = e.currentTarget.dataset.tabindex;
        if (tabindex !== this.data.tabIndex) {
            this.setData({ tabIndex: tabindex }, function () {
                _this.fetchList(tabindex);
            });
        }
    },
    fetchList: function (state) {
        var _this = this;
        if (!state)
            state = this.data.tabIndex;
        wx.showLoading({ title: '' });
        (0, fetch_1.statisticsFetch)({
            url: '/dcxy/reportInfo/queryFeedbackListV2',
            data: this.data.areaId
                ? {
                    state: state,
                    areaId: this.data.areaId
                }
                : { state: state }
        })
            .then(function (res) {
            var _a;
            wx.hideLoading();
            var list = res.data;
            var viewList = list.slice(0, 10);
            if (state === _this.data.tabIndex) {
                _this.setData({
                    list: viewList
                });
            }
            _this.setData((_a = {},
                _a['list' + state] = list,
                _a["pageNum[".concat(state, "]")] = 0,
                _a));
        })["catch"](function (err) {
            console.log(err);
            wx.showToast({
                title: err.errMsg,
                icon: 'none'
            });
        });
    },
    bindPickerChange: function (e) {
        var _this = this;
        console.log(e);
        var value = e.detail.value;
        this.setData({
            areaId: value
        }, function () {
            _this.initData();
        });
    },
    refreshHandle: function (e) {
        this.fetchList();
    },
    fetchAreaList: function () {
        var _this = this;
        (0, fetch_1.baseFetch)({
            url: '/dcxy/baseArea/queryAll'
        })
            .then(function (res) {
            if (res.data) {
                _this.setData({
                    areaList: res.data
                });
            }
            else {
                _this.setData({
                    areaList: []
                });
            }
        })["catch"](function (err) {
            console.log(err);
        });
    },
    getMoreListItem: function () {
        var _a;
        var state = this.data.tabIndex;
        var index = this.data.pageNum[state] + 1;
        var max = Math.ceil(this.data['list' + state].length / 10);
        console.log('in getMoreListItem', index, max);
        if (index >= max) {
            wx.showToast({
                title: '没有更多数据',
                icon: 'none'
            });
        }
        else {
            this.setData((_a = {},
                _a["pageNum[".concat(state, "]")] = index,
                _a.list = __spreadArray(__spreadArray([], this.data.list, true), this.data['list' + state].slice(index * 10, (index + 1) * 10), true),
                _a));
        }
    }
});
