import { customerFetch } from '../../api/fetch';

// miniprogram/pages/feedbackDetail/feedbackDetail.js
Page({
  /**
   * 页面的初始数据
   */
  data: {
    customerName: '',
    customerPhone: '',
    id: '',
    dataList: [],
    shortCuts:[],
    areaId:'',
    r1: true,
    cb: false,
    index: -1,
    isHidden:true,
    inputValue:""
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function(options) {
    console.log("options",options)
    const { customerName, customerPhone, id,areaId } = options;
    wx.setNavigationBarTitle({
      title: `${customerName}-${customerPhone}`,
    });
    this.setData!({
      customerName,
      customerPhone,
      id,
      areaId
    });
    wx.showLoading({
      title: '加载中',
    });
    this.getShortcuts();
    this.fetchList();
    setTimeout(()=>{
      wx.pageScrollTo({
        scrollTop: 2000
    })
    },1500)
  },
  onPageScroll(e){
    console.log("eeeee",e)
  },
  inputHandle(e) {
    const val = e.detail.value;
    this.setData!({
      inputValue: val,
    });
  },
  setContent(e){
    let {content} = e.currentTarget.dataset;
    this.setData({
      inputValue:content,
      isHidden:true
    })
  },
  del(e){
    let {id} = e.currentTarget.dataset;
    wx.showModal({
      title:'删除提示',
      content:'您确定要删除该快捷回复吗？',
      success:res=>{
        if(res.confirm){
          customerFetch({
            url: `/feedback/shortcuts/${id}`,
            method: 'DELETE',
          })
            .then(res => {
              wx.showToast({
                title: res.msg,
                icon:'none',
                duration:2000
              });
              this.getShortcuts();
            })
            .catch((err: wx.GeneralCallbackResult) => {
              wx.showToast({
                title: err.errMsg,
                icon: 'none',
              });
            });
        }
      }
    })
  },
  showModal(){
    this.setData({
      isHidden:false
    })
  },
  setV1(e) {
    this.setData({
      cb: e.detail.value
    });
  },
  subData(str){
    console.log(str,str.substring(0,20))
    return str.substring(0,20);
  },
  cancel(){
    this.setData({
      isHidden:true
    })
  },
  setV(e) {
    console.log(e)
    this.setData({
      r1: JSON.parse(e.detail.value)
    })
  },
  sendFeedback(e) {
    if(this.data.dataList.length==0){
      wx.showToast({
        title:'当前无法发送消息',
        icon:'none',
        duration:2000
      })
      return
    }
    const  id  = this.data.dataList[this.data.dataList.length-1].id;
    let val = this.data.inputValue;
    if (val.trim() == "") val = "您的反馈客服已处理，谢谢！"
    console.log(val, id);
    if (this.data.cb && this.data.shortCuts.length >= 5) {
      wx.showModal({
        title: '添加提示',
        content: '当前默认回复列表已经5条,若加入此条回复,将造成最早一条默认回复被删除，确定继续吗?',
        success: res => {
          if(res.confirm){
          customerFetch({
            url: '/feedback/feedback',
            method: 'PUT',
            data: {
              id: id,
              isAddShortcut: this.data.cb ? 1 : 0,
              replayContent: val,
              state: this.data.r1 ? '3' : '2',
            },
          })
            .then(res => {
              wx.showToast({
                title: res.msg,
                icon:'none',
                duration:2000
              });
              this.setData!({
                inputValue: '',
              });
              // this.triggerEvent('refresh', {});
              wx.navigateBack();
            })
            .catch((err: wx.GeneralCallbackResult) => {
              wx.showToast({
                title: err.errMsg,
                icon: 'none',
              });
            });
        }
      }
      });
    }else {
customerFetch({
  url: '/feedback/feedback',
  method: 'PUT',
  data: {
    id: id,
    replayContent: val,
    isAddShortcut: this.data.cb ? 1 : 0,
    state: this.data.r1 ? '3' : '2',
  },
})
  .then(res => {
    wx.showToast({
      title: res.msg,
      icon:'none',
      duration:2000
    });
    this.setData!({
      inputValue: '',
    });
    // this.triggerEvent('refresh', {});
    wx.navigateBack();
  })
  .catch((err: wx.GeneralCallbackResult) => {
    wx.showToast({
      title: err.errMsg,
      icon: 'none',
    });
  });
}
  },
  getShortcuts(){
    //获取快捷回复列表
    customerFetch({
      url: `/feedback/shortcuts`,
      data:{areaId:this.data.areaId}
    })
      .then(res => {
        const  list  = res.data;
        this.setData!({
          shortCuts: list,
        });
      })
      .catch(err => {
        console.log(err);
      });
  },
  fetchList() {
    return customerFetch({
      url: `/feedback/get/feedback/${this.data.id}`,
    })
      .then(res => {
        wx.hideLoading();
        const { list } = res.data;
        this.setData!({
          dataList: list,
        });
      })
      .catch(err => {
        wx.hideLoading();
        console.log(err);
      });
  },
  // refreshList() {
  //   this.fetchList({
  //     pageNum: 1,
  //   })
  //     .then(res => {
  //       wx.hideLoading();
  //       console.log(res);
  //       if (res.data.page) {
  //         const { list } = res.data.page;
  //         this.setData!({
  //           dataList: list,
  //         });
  //       }
  //     })
  //     .catch(err => {
  //       wx.hideLoading();
  //       console.log(err);
  //     });
  // },

  // onReachBottom() {
  //   wx.showLoading({
  //     title: '加载中',
  //   });
  //   let nextPage = this.data.pageNum + 1;
  //   this.fetchList({
  //     pageNum: nextPage,
  //   })
  //     .then(res => {
  //       wx.hideLoading();
  //       console.log(res);
  //       if (res.data.page && res.data.page.length) {
  //         const {
  //           page: { list, pageNum },
  //         } = res.data;
  //         this.setData!({
  //           dataList: [...this.data.dataList, ...list],
  //           pageNum,
  //         });
  //       }
  //     })
  //     .catch(err => {
  //       wx.hideLoading();
  //       console.log(err);
  //     });
  // },
});
