import {baseFetch} from '../../api/fetch'
Page({

  /**
   * 页面的初始数据
   */
  data: {
    money:'',
    operateId:'',
    operatorName:''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.setData({
      operateId:options.operatorId,
      money:options.money,
      operatorName:options.operatorName
    })
  },
  forInput(e){
    this.setData({
      money:e.detail.value
    })
  },
  confirmPay(){
    if(!this.data.money||this.data.money=='0'){
      wx.showToast({
        title: '请输入充值金额',
        icon:'none'
      })
      return;
    }
    if(Number(this.data.money)<=0){
      wx.showToast({
        title: '充值金额无效',
        icon:'none'
      })
      return;
    }
    wx.showLoading({
      title: '订单生成中...',
    })
    wx.login({
      success:res=>{
        baseFetch({
          url:'/v3/operate/balance/boss/recharge/order',
          method:'POST',
          data:{
            appId:'wx458799fcb933d34f',
            code:res.code,
            operateId:this.data.operateId,
            amount:this.data.money
          }
        }).then(res=>{
          res = res.data.payInfo;
          wx.hideLoading()
          wx.requestPayment({
            nonceStr: res.nonceStr,
            package: res.package,
            paySign: res.paySign,
            timeStamp:res.timeStamp.toString(),
            signType:res.signType,
            success:()=>{
              const eventChannel = this.getOpenerEventChannel()
              eventChannel.emit('acceptDataFromOpenedPage', {data: 'test'});
              wx.showToast({
                title: '支付成功，三秒后自动返回',
                icon:'none'
              })
              setTimeout(()=>{
                wx.navigateBack();
              },3000)
            }
          })
        }).catch(()=>{
          wx.hideLoading()
        })
      },
      fail:()=>{
        wx.hideLoading()
        wx.showToast({
          title: '当前无法充值',
        })
      }
    })
    
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})